<?php

use api\classes\API_inserve;

session_start();

require_once "{$_SERVER['DOCUMENT_ROOT']}/api/classes/API_inserve.php";

$API_inserve = new API_inserve();
$API_inserve->setupConnection();


if ($API_inserve->request_method === 'GET') {

    if ($_GET['action'] = 'auth/me') {
        $API_inserve->checkPermissions('admin-sources', 'RO');

        # This api call, when called from the frontend will not be forwarding to a url.
        $API_inserve->return_url = false;
        $auth = $API_inserve->authMe();

        http_response_code($API_inserve->httpCode);
    }
}
